> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Report Schedule

Returns the Report Schedule object associated with the ID.

## Path Parameters

## Returns

Returns the Report Schedule object associated with the ID.

```bash cURL theme={null}
curl https://production.methodfi.com/report_schedules/rpt_sch_Gqjh8pzeUfzH6 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const reportSchedule = await method.reportSchedules.retrieve('rpt_sch_Gqjh8pzeUfzH6');
```

```python Python theme={null}
report_schedule = method.report_schedules.retrieve('rpt_sch_Gqjh8pzeUfzH6')
```

```json theme={null}
{
  "id": "rpt_sch_Gqjh8pzeUfzH6",
  "type": "payments.created.previous_day",
  "email_recipients": [
    "reports@example.com"
  ],
  "status": "active",
  "created_at": "2026-06-01T13:21:10.386Z",
  "updated_at": "2026-06-01T13:21:10.386Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.